Bug 1117986 - video, like youtube does not play with quality higher than 360p
Summary: video, like youtube does not play with quality higher than 360p
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 19:02 UTC by lejeczek
Modified: 2015-06-29 21:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:32:18 UTC


Attachments (Terms of Use)

Description lejeczek 2014-07-09 19:02:05 UTC
Description of problem:

I'm pretty sure my Firefox is distro's vanilla,
youtube and others when I opt for eg, 720p video will freeze but I'd still get audio playing ok
change to 360p and both video and audio is ok
I'm on Dell 6430u
please ask for any more info if needed


Version-Release number of selected component (if applicable):

firefox-30.0-4.fc20.x86_64
and rest of the OS updated to 9 of Jul

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lejeczek 2014-07-09 19:10:18 UTC
another thing is google-chrome-stable-35.0.1916.153-1.x86_64 plays the same content perfectly fine in all available resolutions

Comment 2 Martin Stransky 2014-08-06 06:31:37 UTC
Can you point me to some video where you see the problem? And do you use flash for the video playback?

Comment 3 lejeczek 2014-08-06 07:06:48 UTC
for me one example was:

https://www.youtube.com/watch?v=R4ajQ-foj2Q

but I since went to fedora rawhide (22) - firefox-31.0-2.fc22.x86_64
and the problem does not occur here

Comment 4 lejeczek 2014-08-06 07:08:53 UTC
yes, adobe plugin, I've tried all other available from popular yum repos and still adobe's did best job of them all

Comment 5 lejeczek 2014-08-06 07:11:33 UTC
also, with rawhide is see that cpu usage is around 20% while playing 720p, even though

Graphics
Adapter Description	Intel Open Source Technology Center -- Mesa DRI Intel(R) Ivybridge Mobile
Device ID	Mesa DRI Intel(R) Ivybridge Mobile
Driver Version	3.0 Mesa 10.3.0-devel
GPU Accelerated Windows	0/9 Basic
Vendor ID	Intel Open Source Technology Center
WebGL Renderer	Intel Open Source Technology Center -- Mesa DRI Intel(R) Ivybridge Mobile
windowLayerManagerRemote	false
AzureCanvasBackend	cairo
AzureContentBackend	cairo
AzureFallbackCanvasBackend	none
AzureSkiaAccelerated	0

while on f20 it was ~250%

but, sill no accelerated video?

Comment 6 Martin Stransky 2014-08-06 07:12:49 UTC
Try to disable flash plugin (in about:plugins) and use HTML5 video playback. Works for me on Fedora 20 with 720p video. 

Anyway, if you use flash plugin it's a bug in flash plugin, not in Firefox. Crome has a new updated flash designed for Chrome only but Firefox has to use the old one.

Comment 7 lejeczek 2014-08-06 07:13:50 UTC
oh, I see, in rawhide it's html player and not adobe's flash, right?

Comment 8 Martin Stransky 2014-08-06 07:14:54 UTC
I don't know, you can use flash plugin on rawhide too. It depends on your configuration.

Comment 9 Fedora End Of Life 2015-05-29 12:20:08 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-29 21:32:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.